### 5.1.156 syz

`Syntax:`
  `syz (` ideal_expression `)`
  `syz (` module_expression `)`
  `syz (` ideal_expression`,` string_expression `)`
  `syz (` module_expression`,` string_expression `)`
`Type:`
  module
`Purpose:`
  computes the first syzygy (i.e., the module of relations of the given generators) of the ideal, resp. module.
  An optional second argument specifies the Groebner base algorithm to use. Possible values are `"std"`(default) and `"slimgb"`.
  Only for use of "std": If `option(returnSB)` is set, a standard basis is returned, otherwise a generating set.
`Example:`

        ring R=0,(x,y),(c,dp);
        ideal i=x,y;
        module s=syz(i);
        s;
      ==> s[1]=[y,-x]
        matrix(i)*matrix(s);
      ==> _[1,1]=0
        s=syz(i,"slimgb");
        s;
      ==> s[1]=[y,-x]

See fres; hres; ideal; lift; liftstd; lres; module; mres; nfmodsyz_lib; nres; option; res; sres.

User manual for Singular version 4.4.1, 2025, generated by texi2html.